Class ClientScopeItemRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.ClientScopes.Item
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\client-scopes{client-scope-id}
public class ClientScopeItemRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderClientScopeItemRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ClientScopeItemRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ClientScopeItemRequestBuilder and sets the default values.
public ClientScopeItemRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ClientScopeItemRequestBuilder(string, IRequestAdapter)
Instantiates a new ClientScopeItemRequestBuilder and sets the default values.
public ClientScopeItemRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
ProtocolMappers
The protocolMappers property
public ProtocolMappersRequestBuilder ProtocolMappers { get; }
Property Value
ScopeMappings
The scopeMappings property
public ScopeMappingsRequestBuilder ScopeMappings { get; }
Property Value
Methods
DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Delete the client scope
public Task DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get representation of the client scope
public Task<ClientScopeRepresentation?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
PutAsync(ClientScopeRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Update the client scope
public Task PutAsync(ClientScopeRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyClientScopeRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Delete the client scope
public RequestInformation ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get representation of the client scope
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPutRequestInformation(ClientScopeRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Update the client scope
public RequestInformation ToPutRequestInformation(ClientScopeRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyClientScopeRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ClientScopeItemRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.